#include <QApplication>
#include <QLineEdit>

#include <QDebug>

int main(int argc, char *argv[])
{
    QApplication a(argc, argv);

    QLineEdit edit;

    QObject::connect(&edit, &QLineEdit::textChanged, [&edit](QString text)
    {
        qDebug() << "Text changed to" << text;
        qDebug() << "Has acceptable input" << edit.hasAcceptableInput();
    });

    edit.setWindowTitle(QT_VERSION_STR);

    edit.setInputMask("AAAAAAAAAAAAAAA");
    edit.setText("あえいおうアエイオウ一二三四五");

    edit.setFixedSize(640, 480);

    edit.show();

    return a.exec();
}
